Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface ExpressionTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `ArrayAccessTree`, `ArrayLiteralTree`, `AssignmentTree`, `BinaryTree`, `ClassExpressionTree`, `CompoundAssignmentTree`, `ConditionalExpressionTree`, `ErroneousTree`, `FunctionCallTree`, `FunctionExpressionTree`, `IdentifierTree`, `InstanceOfTree`, `LiteralTree`, `MemberSelectTree`, `NewTree`, `ObjectLiteralTree`, `ParenthesizedTree`, `RegExpLiteralTree`, `SpreadTree`, `TemplateLiteralTree`, `UnaryTree`, `YieldTree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface ExpressionTree
    extends Tree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node used as the base class for the different types of expressions.

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`